$LOAD_PATH << './'
require_relative './spec_helper.rb'
require 'chingu'
require 'rspec'

describe 'Player' do
  include GamespacePersistence
  before :all do
    @game = Game.new
    @game.push_game_state(Play)
    @play = @game.current_game_state
  end

  context 'position' do
    it 'spawns inside gamespace' do 
      expect(in_bounds(@play.player, @play.gamespace)).to eq(true)
    end

    it 'never moves outside of gamespace' do
      1000.times { @play.player.move_up; @play.player.update }
      expect(in_bounds(@play.player, @play.gamespace)).to eq(true)
      1000.times { @play.player.move_up; @play.player.update }
      expect(in_bounds(@play.player, @play.gamespace)).to eq(true)
      1000.times { @play.player.move_left; @play.player.update }
      expect(in_bounds(@play.player, @play.gamespace)).to eq(true)
      1000.times { @play.player.move_down; @play.player.update }
      expect(in_bounds(@play.player, @play.gamespace)).to eq(true)
    end
  end
end
